commoble.looot.data

## Class EnchantmentNameLimits

- java.lang.Object
- - commoble.looot.data.EnchantmentNameLimits

    public class EnchantmentNameLimits
    extends java.lang.Object

### Field Summary

Fields
`static com.mojang.serialization.Codec<EnchantmentNameLimits>` `CODEC`

### Constructor Summary

Constructors
Constructor and Description
`EnchantmentNameLimits(boolean replace, java.util.Map<net.minecraft.enchantment.Enchantment,java.lang.Integer> values)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `getReplace()`
`java.util.Map<net.minecraft.enchantment.Enchantment,java.lang.Integer>` `getValues()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CODEC

    public static final com.mojang.serialization.Codec<EnchantmentNameLimits> CODEC

### Constructor Detail

#### EnchantmentNameLimits

    public EnchantmentNameLimits(boolean replace,
                                 java.util.Map<net.minecraft.enchantment.Enchantment,java.lang.Integer> values)

### Method Detail

#### getReplace

    public boolean getReplace()

#### getValues

    public java.util.Map<net.minecraft.enchantment.Enchantment,java.lang.Integer> getValues()